Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property.servlets.jsp.taglib
Class ResultTagExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo
            |
            +--com.bea.p13n.property.servlets.jsp.taglib.ResultTagExtraInfo

Direct Known Subclasses:
  GetPropertyNamesExtraInfo, GetPropertySetNamesExtraInfo, GetRestrictedPropertyValuesExtraInfo

public class ResultTagExtraInfo
extends javax.servlet.jsp.tagext.TagExtraInfo

TagExtraInfo implementation that just sets a result id variable for the jsp. Extend this and use the createResultInfo method to add other variables.

Constructor Summary
`ResultTagExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo` | `createResultInfo(javax.servlet.jsp.tagext.TagData data)` Creates a VariableInfo object for the tag's result variable, if there is one.
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultTagExtraInfo

    public ResultTagExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Parameters:
    `data` - the current TagData
  Returns:
    VariableInfo array with just the result variable
  Overrides:
    getVariableInfo in class javax.servlet.jsp.tagext.TagExtraInfo

### createResultInfo

    public javax.servlet.jsp.tagext.VariableInfo createResultInfo(javax.servlet.jsp.tagext.TagData data)

  Creates a VariableInfo object for the tag's result variable, if there is one.

  Parameters:
    `data` - the current TagData
  Returns:
    a VariableInfo with the result variable, or null if there is none

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved